Debian Bug report logs - #698354
ITP: python-voluptuous -- Voluptuous, a python data validation library

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Antoine Musso <hashar@free.fr>

Date: Thu, 17 Jan 2013 15:27:02 UTC

Owned by: Antoine Musso <hashar@free.fr>

Severity: wishlist

Tags: patch

Fixed in version voluptuous/0.6.1-1

Done: Antoine Musso <hashar@free.fr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#698354; Package wnpp. (Thu, 17 Jan 2013 15:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Musso <hashar@free.fr>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Thu, 17 Jan 2013 15:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Antoine Musso <hashar@free.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: python-voluptuous -- Voluptuous, a python data validation library
Date: Thu, 17 Jan 2013 14:54:32 +0000
Package: wnpp
Severity: wishlist
Owner: Antoine Musso <hashar@free.fr>

* Package name    : python-voluptuous
  Version         : 0.6
  Upstream Author : Alec Thomas <alec@swapoff.org>
* URL             : http://pypi.python.org/pypi/voluptuous
* License         : BSD
  Programming Lang: Python
  Description     : Voluptuous, a python data validation library

 Voluptuous is primarily intended to validate data coming in to Python
 as JSON, YAML, etc. Its goals are:
  * simplicity
  * support for complex data structures
  * provide useful error messages



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#698354; Package wnpp. (Thu, 17 Jan 2013 15:36:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Musso <hashar@free.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Thu, 17 Jan 2013 15:36:15 GMT) Full text and rfc822 format available.


Message #10 received at 698354@bugs.debian.org (full text, mbox):

From: Antoine Musso <hashar@free.fr>
To: 698354@bugs.debian.org
Date: Thu, 17 Jan 2013 16:35:46 +0100
Package source is being done for the Wikimedia Foundation and will be
reviewed in their review system.

The latest patchset is available at:

  https://gerrit.wikimedia.org/r/#/c/44408/

The public git repository is:
 https://gerrit.wikimedia.org/r/p/operations/debs/python-voluptuous.git

The master branch is empty at the time of this writing, pending merge of
the Change 44408 referenced above.

-- 
Antoine "hashar" Musso



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antoine Musso <hashar@free.fr>:
Bug#698354; Package wnpp. (Thu, 17 Jan 2013 16:21:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Tagliamonte <paultag@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antoine Musso <hashar@free.fr>. (Thu, 17 Jan 2013 16:21:11 GMT) Full text and rfc822 format available.

Message #15 received at 698354@bugs.debian.org (full text, mbox):

From: Paul Tagliamonte <paultag@debian.org>
To: Antoine Musso <hashar@free.fr>, 698354@bugs.debian.org
Subject: Re: Bug#698354: ITP: python-voluptuous -- Voluptuous, a python data validation library
Date: Thu, 17 Jan 2013 11:15:57 -0500
If you're not packaging this for something else, perhaps check out
python-validictory as well!

On Thu, Jan 17, 2013 at 9:54 AM, Antoine Musso <hashar@free.fr> wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Antoine Musso <hashar@free.fr>
>
> * Package name    : python-voluptuous
>   Version         : 0.6
>   Upstream Author : Alec Thomas <alec@swapoff.org>
> * URL             : http://pypi.python.org/pypi/voluptuous
> * License         : BSD
>   Programming Lang: Python
>   Description     : Voluptuous, a python data validation library
>
>  Voluptuous is primarily intended to validate data coming in to Python
>  as JSON, YAML, etc. Its goals are:
>   * simplicity
>   * support for complex data structures
>   * provide useful error messages
>
>
> --
> To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/20130117145432.5830.87204.reportbug@integration-jobbuilder.pmtpa.wmflabs
>



-- 
:wq



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#698354; Package wnpp. (Thu, 21 Mar 2013 12:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Musso <hashar@free.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 21 Mar 2013 12:00:04 GMT) Full text and rfc822 format available.

Message #20 received at 698354@bugs.debian.org (full text, mbox):

From: Antoine Musso <hashar@free.fr>
To: 698354@bugs.debian.org
Subject: packaged v0.6.1
Date: Thu, 21 Mar 2013 12:56:37 +0100
Hello,

We completed the packaging of python-voluptuous version 0.6.1 for Ubuntu
Precise.  The debian/* files are available in Wikimedia git repository:

https://gerrit.wikimedia.org/r/p/operations/debs/python-voluptuous.git

The APT repository is apt.wikimedia.org , the generated files can be
found at:

 http://apt.wikimedia.org/wikimedia/pool/main/p/python-voluptuous/

Now I have to figure out how to:

 - get a package for both Ubuntu and Debian
 - upload it to the Debian project



-- 
Antoine "hashar" Musso



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#698354; Package wnpp. (Wed, 27 Mar 2013 15:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Musso <hashar@free.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 27 Mar 2013 15:27:04 GMT) Full text and rfc822 format available.

Message #25 received at 698354@bugs.debian.org (full text, mbox):

From: Antoine Musso <hashar@free.fr>
To: 698354@bugs.debian.org
Subject: urls for python-voluptuous
Date: Wed, 27 Mar 2013 16:23:14 +0100
Some useful resources:

APT url:
 http://apt.wikimedia.org/wikimedia/pool/main/p/python-voluptuous/

Gitweb:
 https://gerrit.wikimedia.org/gitweb/operations/debs/python-voluptuous.git

Git clone:
 https://gerrit.wikimedia.org/r/p/operations/debs/python-voluptuous.git




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antoine Musso <hashar@free.fr>:
Bug#698354; Package wnpp. (Wed, 27 Mar 2013 15:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Musso <hashar+wmf@free.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antoine Musso <hashar@free.fr>. (Wed, 27 Mar 2013 15:57:04 GMT) Full text and rfc822 format available.

Message #30 received at 698354@bugs.debian.org (full text, mbox):

From: Antoine Musso <hashar+wmf@free.fr>
To: Dmitry Shachnev <mitya57@gmail.com>, 698354@bugs.debian.org
Subject: Re: statsd + voluptuous packaged!
Date: Wed, 27 Mar 2013 16:55:31 +0100
Le 21/03/13 15:36, Dmitry Shachnev a écrit :
> wrote:
>> > http://apt.wikimedia.org/wikimedia/pool/main/p/python-voluptuous/
> Something that I've noticed after a quick look at python-voluptuous:
> 
> - Build-dependency on python-dev is not needed as you don't have
> extension modules (you may want to build-depend on python-all
> instead);
> - There is a doctest, please consider running it during build [1];
> - List of "goals" appears two times in package description;
> - Indentation in debian/copyright looks ugly (and please use spaces,
> not tabs) [2].
> 
> [1]: something like this:
> 
> override_dh_auto_test:
>         set -ex; for python in $(shell pyversions -s); do \
>                 $$python -m doctest tests.rst; \
>         done
> 
> [2]: oops, Jakub already noticed that in IRC :P

I have amended the python-voluptuous package following your remarks and
bumped the version to 0.6.1-2.

Change is at:
 https://gerrit.wikimedia.org/r/56168

Gitweb:
 https://gerrit.wikimedia.org/r/gitweb?p=operations/debs/python-voluptuous.git;h=refs/changes/68/56168/1

Git reference is refs/changes/68/56168/1


Lintian is fully happy now :-]  I guess I will move to the next step:
getting the package uploaded to Debian.

Thank you Dmitry

-- 
Antoine "hashar" Musso



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#698354; Package wnpp. (Thu, 18 Apr 2013 10:15:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Musso <hashar@free.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 18 Apr 2013 10:15:14 GMT) Full text and rfc822 format available.

Message #35 received at 698354@bugs.debian.org (full text, mbox):

From: Antoine Musso <hashar@free.fr>
To: 698354@bugs.debian.org
Cc: debian-python@lists.debian.org
Subject: Bug#698354: ITP: voluptuous package uploaded to svn
Date: Thu, 18 Apr 2013 12:12:23 +0200
I have uploaded the debian files to Python module team svn with r23955.

Mail notification:

http://lists.alioth.debian.org/pipermail/python-modules-commits/2013-April/023286.html

Viewvc:

http://anonscm.debian.org/viewvc/python-modules?view=revision&revision=23955


-- 
Antoine "hashar" Musso



Added tag(s) patch. Request was from Antoine Musso <hashar@free.fr> to control@bugs.debian.org. (Thu, 18 Apr 2013 11:27:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 19 Apr 2013 20:06:04 GMT) Full text and rfc822 format available.

Reply sent to Antoine Musso <hashar@free.fr>:
You have taken responsibility. (Sat, 20 Apr 2013 15:03:31 GMT) Full text and rfc822 format available.

Notification sent to Antoine Musso <hashar@free.fr>:
Bug acknowledged by developer. (Sat, 20 Apr 2013 15:03:31 GMT) Full text and rfc822 format available.

Message #44 received at 698354-close@bugs.debian.org (full text, mbox):

From: Antoine Musso <hashar@free.fr>
To: 698354-close@bugs.debian.org
Subject: Bug#698354: fixed in voluptuous 0.6.1-1
Date: Sat, 20 Apr 2013 15:00:07 +0000
Source: voluptuous
Source-Version: 0.6.1-1

We believe that the bug you reported is fixed in the latest version of
voluptuous, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 698354@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Antoine Musso <hashar@free.fr> (supplier of updated voluptuous package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 17 Apr 2013 09:40:58 +0000
Source: voluptuous
Binary: python-voluptuous
Architecture: source all
Version: 0.6.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Antoine Musso <hashar@free.fr>
Description: 
 python-voluptuous - Python library to validate data
Closes: 698354
Changes: 
 voluptuous (0.6.1-1) unstable; urgency=low
 .
   * Initial release. Closes: #698354
Checksums-Sha1: 
 3e4489a4715578876ab2d7c521da5191ebad118e 2081 voluptuous_0.6.1-1.dsc
 37873932640731214ebd877a1bbe431b96e459cf 12082 voluptuous_0.6.1.orig.tar.gz
 a03a749dc45f7d1dc387be7bb36a50aff785d996 2541 voluptuous_0.6.1-1.debian.tar.gz
 9513254a08fd24db1289b76626f1c8cce3ad09e3 13352 python-voluptuous_0.6.1-1_all.deb
Checksums-Sha256: 
 a5ff4dc575ed65d6cf85a3a9605531e92368c4252d248deabb966af157e0f0b8 2081 voluptuous_0.6.1-1.dsc
 cd229fd9e4066a016e86a098220175c8535725435ad0d9d04cba40348ea8b907 12082 voluptuous_0.6.1.orig.tar.gz
 6b84123b07c8a93daf1b9c1e8ca52611696c647164de189dc25302d89186aa7e 2541 voluptuous_0.6.1-1.debian.tar.gz
 aec5fd4ee89393ee2d6032a47af49d595ed6415cccaee05962e600f3a7e635c3 13352 python-voluptuous_0.6.1-1_all.deb
Files: 
 fd07d979d05e1a44fc1e2a18b84ba3ad 2081 python optional voluptuous_0.6.1-1.dsc
 64823dcc0f7bf3ee1b109800a3aaa947 12082 python optional voluptuous_0.6.1.orig.tar.gz
 1f30a2edd11184c1eecb5345d8641f85 2541 python optional voluptuous_0.6.1-1.debian.tar.gz
 144cfb01dbf0b55102b798737b5eef85 13352 python optional python-voluptuous_0.6.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJRcUx+AAoJEJ0LXlse7I8OSTEP/2hXkJCxBxL9VYW5bcvj8fTz
eX2ZtlZKj2E2ALE5MJjdGAPB9Kfsk5ZLSCoU2jbuXGJyhiX1yfb5GHv4wd/FCuUQ
7bR5FHCxizHRrX2VGLZ4dv4L4NiOwVYqt+lTP8Ih+c7xNZZZrYioD5Lh0vSIbjKp
2PE6g+WweL6/DKA6j4D+fikHS+zzLQPBz56PaecSy5HlgKFvs8UTkaU3QZtHNk5K
KYcJx/kAcxwDvzBrwRKjr1OspLWqIhFcXhXXIR6a4kwEaR6OFc6M7LjAim7QIBjR
JgwHfF2VODWA+572i6mF2eg/RQzVcdWY6NL1uKC9DHsh4+sdDgOxYued6HE7T9mx
oeIAUCcZxqtGsjVqHgfSaHdZkZzhVum6XLYjzebIzIj9ZejFwtXq+zw87sCWkzAo
pLF7+1K6LalweD5LDOEcIAG4gTYaYSSTte1+gDJoQlqgB34eDejT6LuI/sVGZ1lz
xT91nLEIifBONuVqcYdwbT39guCjvvleA3IKu5veTwRWqyLrIpZ32wmivFxM9Aos
np+qk3E39NHo8fyliEmdeU96rZLcfdZbvnf0T0rnXPMkcBXy5OtSLof+TREYyQAc
K1/ej2av1EXEG9EAe9uojIiifR4P/aNApgdBb9JuIc2oSDnScNWvi3XYFGhvGjxx
90IuTsqcOtQm69YkqjBZ
=GF0p
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 19 May 2013 07:28:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:10:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.